CompositeSignaturesWithKeys
Keywords: net.corda.core.crypto.CompositeSignaturesWithKeys class
Date: 2023-09-18

net.corda.core.crypto

## Class CompositeSignaturesWithKeys

- net.corda.core.crypto.CompositeSignaturesWithKeys

-     public class CompositeSignaturesWithKeys

  Custom class for holding signature data. This exists for later extension work to provide a standardised cross-platform serialization format.

- - ### Field Detail

    - #### Companion

          public static net.corda.core.crypto.CompositeSignaturesWithKeys.Companion Companion

  - ### Constructor Detail

    - #### CompositeSignaturesWithKeys

          public CompositeSignaturesWithKeys(@NotNull
                                             java.util.List<net.corda.core.crypto.TransactionSignature> sigs)

      Custom class for holding signature data. This exists for later extension work to provide a standardised cross-platform serialization format.

  - ### Method Detail

    - #### getSigs

          @NotNull
          public java.util.List<net.corda.core.crypto.TransactionSignature> getSigs()

    - #### component1

          @NotNull
          public java.util.List<net.corda.core.crypto.TransactionSignature> component1()

    - #### copy

          @NotNull
          public CompositeSignaturesWithKeys copy(@NotNull
                                                           java.util.List<net.corda.core.crypto.TransactionSignature> sigs)

      Custom class for holding signature data. This exists for later extension work to provide a standardised cross-platform serialization format.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Custom class for holding signature data. This exists for later extension work to provide a standardised cross-platform serialization format.

    - #### hashCode

          public int hashCode()

      Custom class for holding signature data. This exists for later extension work to provide a standardised cross-platform serialization format.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Custom class for holding signature data. This exists for later extension work to provide a standardised cross-platform serialization format.